# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::ColorMask Class Reference

RenderState wrapping the OpenGL function glColorMask(), see also http://www.opengl.org/sdk/docs/man/xhtml/glColorMask.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::ColorMask:

List of all members.

## Public Member Functions

| ColorMask (bool red=true, bool green=true, bool blue=true, bool alpha=true)
virtual ERenderState | type () const
virtual void | apply (int index, const Camera *, OpenGLContext *ctx) const
| The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.
void | set (bool red, bool green, bool blue, bool alpha)
void | setRed (bool red)
void | setGreen (bool green)
void | setBlue (bool blue)
void | setAlpha (bool alpha)
bool | red () const
bool | green () const
bool | blue () const
bool | alpha () const
virtual ref< RenderState > | clone () const

## Protected Attributes

bool | mRed
bool | mGreen
bool | mBlue
bool | mAlpha

## Detailed Description

RenderState wrapping the OpenGL function glColorMask(), see also http://www.opengl.org/sdk/docs/man/xhtml/glColorMask.xml for more information.

See also:
  Shader, Effect, Actor

Definition at line 1488 of file Shader.hpp.

## Constructor & Destructor Documentation

vl::ColorMask::ColorMask | ( | bool | red = `true`,
|  | bool | green = `true`,
|  | bool | blue = `true`,
|  | bool | alpha = `true`
| ) |  | `[inline]`

Definition at line 1493 of file Shader.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual ERenderState vl::ColorMask::type | ( | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

Definition at line 1498 of file Shader.hpp.

References vl::RS_ColorMask.

void ColorMask::apply | ( | int | index,
|  | const Camera * | camera,
|  | OpenGLContext * | ctx
| ) |  | const`[virtual]`

The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.

Implements vl::RenderState.

Definition at line 723 of file Shader.cpp.

References mAlpha, mBlue, mGreen, mRed, and VL_CHECK_OGL.

void vl::ColorMask::set | ( | bool | red,
|  | bool | green,
|  | bool | blue,
|  | bool | alpha
| ) |  | `[inline]`

Definition at line 1502 of file Shader.hpp.

void vl::ColorMask::setRed | ( | bool | red ) | `[inline]`

Definition at line 1504 of file Shader.hpp.

void vl::ColorMask::setGreen | ( | bool | green ) | `[inline]`

Definition at line 1506 of file Shader.hpp.

void vl::ColorMask::setBlue | ( | bool | blue ) | `[inline]`

Definition at line 1508 of file Shader.hpp.

void vl::ColorMask::setAlpha | ( | bool | alpha ) | `[inline]`

Definition at line 1510 of file Shader.hpp.

bool vl::ColorMask::red | ( | ) | const`[inline]`

Definition at line 1512 of file Shader.hpp.

bool vl::ColorMask::green | ( | ) | const`[inline]`

Definition at line 1514 of file Shader.hpp.

bool vl::ColorMask::blue | ( | ) | const`[inline]`

Definition at line 1516 of file Shader.hpp.

bool vl::ColorMask::alpha | ( | ) | const`[inline]`

Definition at line 1518 of file Shader.hpp.

virtual ref<RenderState> vl::ColorMask::clone | ( | ) | const`[inline, virtual]`

Implements vl::RenderState.

Definition at line 1520 of file Shader.hpp.

## Member Data Documentation

bool vl::ColorMask::mRed`[protected]`

Definition at line 1528 of file Shader.hpp.

Referenced by apply().

bool vl::ColorMask::mGreen`[protected]`

Definition at line 1529 of file Shader.hpp.

Referenced by apply().

bool vl::ColorMask::mBlue`[protected]`

Definition at line 1530 of file Shader.hpp.

Referenced by apply().

bool vl::ColorMask::mAlpha`[protected]`

Definition at line 1531 of file Shader.hpp.

Referenced by apply().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:53.
Permission is granted to use this page to write and publish articles regarding Visualization Library.